﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GratkaWebAPI
{
    class WebAPI
    {
        private const string LOGIN = "";
        private const string HASLO = "";
        private const string KOD = "";
        private webapi_dom _api_dom = null;

        private webapi_dom Api
        {
            get
            {
                if (_api_dom == null)
                {
                    _api_dom = new webapi_dom();
                    _api_dom.Url = "http://soaptest.webapi-beta.gratka.pl/dom.html";
                    _api_dom.SoapVersion = System.Web.Services.Protocols.SoapProtocolVersion.Soap11;
                }
                return _api_dom;
            }
        }

        public string Zaloguj()
        {
            string czas_serwera = DateTime.Now.ToString();
            string info = "";
            string sesja = "";

            try
            {
                sesja = Api.zaloguj(LOGIN, HASLO, KOD, 382, 2, out czas_serwera, out info);
            } catch (System.Web.Services.Protocols.SoapHeaderException exception) {
            }

            return sesja;
        }
    }
}
